## org.eclipse.emf.codegen.merge.java.facade
Interface JInitializer

All Superinterfaces:
  JMember, JNode

All Known Implementing Classes:
  ASTJInitializer, JDOMJInitializer

    public interface JInitializer

extends JMember

Represents an initializer. The corresponding syntactic units are InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7). An initializer has no children and its parent is a type.

Since:
  2.2.0

Method Summary
`java.lang.String` `getBody()` Returns the body of this initializer.
`void` `setBody(java.lang.String body)` Sets the body of this initializer.

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Method Detail

### getBody

    java.lang.String getBody()

  Returns the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7).

  Returns:
    an initializer body, including braces, or `null` if no body is present

### setBody

    void setBody(java.lang.String body)

  Sets the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7). No formatting or syntax checking is performed on the body. Braces must be included.

  Parameters:
    `body` - an initializer body, including braces, or `null` indicating no body

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.